﻿using BPA.SAAS.Manage.Comm.Enum;
using Npoi.Mapper.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Goods
{
    public class GoodsDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string Descritption { get; set; }
        public string ImgUrl { get; set; }
        public int ImgMode { get; set; }
        public int Sort { get; set; }
        public decimal Price { get; set; }
        public string GoodsUintId { get; set; }
        public bool IsWeigh { get; set; }
        public string Design { get; set; }
        public string DefaultMate { get; set; }
        public bool IsAttrubute { get; set; }
        public string GoodsTypeId { get; set; }
        public string Status { get; set; }
    }
    public class GoodsImportDto
    {
        [Column("商品名称")]
        public string Name { get; set; }
        [Column("商品分类")]
        public string Type { get; set; }
        [Column("商品单位")]
        public string Uint { get; set; }
        [Column("商品价格")]
        public decimal Price { get; set; }
        [Column("是否称重")]
        public string IsWeigh { get; set; }
        [Column("备注")]
        public string Descritption { get; set; }
        [Column("图片")]
        public object ImgUrl { get; set; }
    }
}
